com.h3c.of.json

## Class OfmExperimenterCodec

- java.lang.Object
- - com.h3c.util.json.AbstractJsonCodec<OfmExperimenter>
  - - com.h3c.of.json.OfmExperimenterCodec

- All Implemented Interfaces:
    JsonCodec<OfmExperimenter>

      public class OfmExperimenterCodec
      extends AbstractJsonCodec<OfmExperimenter>

  A JSON codec capable of encoding and decoding `OfmExperimenter` objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROOT` JSON key for meter.
    `static String` | `ROOTS` JSON key for meters.

    - ### Fields inherited from class com.h3c.util.json.AbstractJsonCodec

      `log, mapper, NO_DECODING_SUP, root, roots`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OfmExperimenterCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OfmExperimenter` | `decode(com.fasterxml.jackson.databind.node.ObjectNode meterNode)` Decodes the JSON into a typed POJO.
    `com.fasterxml.jackson.databind.node.ObjectNode` | `encode(OfmExperimenter expMod)` Encodes the given POJO to its JSON representation.

    - ### Methods inherited from class com.h3c.util.json.AbstractJsonCodec

      `arrayNode, decode, decodeList, encode, encodeList, encodeList, fromEnums, isMissingContent, longVal, objectNode, read, root, roots, toEnums, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final String ROOT

      JSON key for meter.
      See Also:
        Constant Field Values

    - #### ROOTS

          public static final String ROOTS

      JSON key for meters.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OfmExperimenterCodec

          protected OfmExperimenterCodec()

  - ### Method Detail

    - #### encode

          public com.fasterxml.jackson.databind.node.ObjectNode encode(OfmExperimenter expMod)

      Description copied from interface: `JsonCodec`
      Encodes the given POJO to its JSON representation.
      Parameters:
        `expMod` - POJO to encode
      Returns:
        ObjectNode representation of POJO. This does not have a "top" root

    - #### decode

          public OfmExperimenter decode(com.fasterxml.jackson.databind.node.ObjectNode meterNode)

      Description copied from interface: `JsonCodec`
      Decodes the JSON into a typed POJO.
      Parameters:
        `meterNode` - JSON representation of the typed POJO. This does not have a "top" root
      Returns:
        typed POJO

Copyright © 2014. All Rights Reserved.